<?php
class Status_messages {

  private $db;

  public function __construct() {
    $this->db = new Db_layer();
  }
  
  //---[CZ]: stavové zprávy pro index
  public function create() {
  
    //---[CZ]: červená
    if ($_GET["mt"]==0) {
    echo "<div class=\"popup-error\">";
    echo LANG_AN_ERROR_OCCURED;
    echo "</div>";
    }
    
    //---[CZ]: zelená
    if ($_GET["mt"]==1) {
    echo "<div class=\"popup-success\">";
    echo LANG_ACTION_WAS_SUCCESSFULLY_COMPLETED;
    echo "</div>";
    }
  }

  //---[CZ]: stavové zprávy pro admin - zelená
  public function print_success($message) {
    echo "<div class=\"popup-success\">$message</div>";
  }

  //---[CZ]: stavové zprávy pro admin - červená
  public function print_error($message) {
    echo "<div class=\"popup-error\">$message</div>";
  }

}
?>